rus-ispell (0.99g5-19) unstable; urgency=low

  * debian/control:
   - Modify to use dictionaries-common-dev (>= 1.22.0) features:
      + ${ispell:Depends}, ${aspell:Depends}, ${hunspell:Depends}
      + Deal with remove files in debhelper snippet.
   - Build on at least dictionaries-common-dev (>= 1.23.3) to make
     sure dirs are available and cleaned as needed.
   - Bump Standards-Version. No changes required.
   - Add Vcs-Browser and Vcs-Git info for collab maint repo.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 30 Jun 2014 16:04:30 +0200

rus-ispell (0.99g5-18) unstable; urgency=low

  * debian/rules: Migrate from cdbs to debhelper the code to make sure
    upstream old/README.orig is not removed by dh_clean.
  * debian/control:
    - Remove Martin-Éric Racine from Uploaders (Closes: #659322).
    - Put my name without accents to match changelog.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 10 Feb 2012 14:41:16 +0100

rus-ispell (0.99g5-17) unstable; urgency=low

  * debian/control: No need to version irussian dependency on ispell,
    we use ispell-autobuildhash.
  * debian/irussian.info-ispell: Revert to previous Language value and
    use Elanguage to fix displayed string (Closes: #657643).
    This may trigger a debconf question to go to previous value, but
    will make squeeze->wheezy upgrades smoother.
  * debian/myspell-ru.links: Remove, only created symlinks from ancient
    myspell dir.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 31 Jan 2012 15:57:24 +0100

rus-ispell (0.99g5-16) unstable; urgency=medium

  * Fixed typo in myspell-ru description (Closes: #646748).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 28 Oct 2011 08:53:23 +0300

rus-ispell (0.99g5-15) unstable; urgency=medium

  * Urgency=medium because myspell-ru now Conflicts with hunspell-ru.
  * [aspell-ru.dirs]: deleted;
    + usr/lib/aspell and usr/share/aspell are created by [aspell-ru.install].
    + var/lib/aspell is handled by autobuildhash.
  * [irussian.dirs]: deleted;
    + usr/lib/ispell is created by [irussian.install].
  * [myspell-ru.info-hunspell]: created rudimentary Hunspell support.
  * [debian/rules]: added installdeb-hunspell --package=myspell-$(DICT_LANG).
  * [debian/control]: updated myspell Provides for hunspell.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Mon, 24 Oct 2011 13:28:23 +0300

rus-ispell (0.99g5-14) unstable; urgency=low

  * Bumped myspell-ru down to Priority:extra to conform with Policy Section 2.5
    "Note that optional packages should not conflict with each other."

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 21 Oct 2011 13:40:15 +0300

rus-ispell (0.99g5-13) unstable; urgency=low

  * myspell-ru Conflicts with hunspell-ru (Closes: #644881, #645317).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sat, 15 Oct 2011 11:16:52 +0300

rus-ispell (0.99g5-12) unstable; urgency=low

  * Migrated to debhelper-7 build system:
    + Simplified [debian/rules] to use a single dh command with overrides.
    + Bumped the Build-Depends on debhelper to (>= 7.0.50~).
    + Dropped the Build-Depends on CDBS.
  * Migrated to source format 3.0 (quilt).
    + Build-Depends on dpkg-dev (>= 1.14.17~).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 13 Oct 2011 19:17:20 +0300

rus-ispell (0.99g5-11) unstable; urgency=low

  * Add myself as uploader.
  * Remove unneeded empty debian/{aspell-ru,irussian}.{postinst,postrm}.
  * Use auto-compat for aspell-autobuildhash stuff. Needs
    dictionaries-common-dev (>= 1.11.2) (Closes: #617245).
  * Make irussian a real arch:all package by using ispell-autobuildhash.
  * Make sure dh_clean does not remove upstream old/README.orig on clean.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 03 Oct 2011 14:49:25 +0200

rus-ispell (0.99g5-10) unstable; urgency=low

  * Lintian: W: removed myspell-ru.postinst and myspell-ru.postrm templates:
    Not used since LibreOffice/OpenOffice 3.0 and thus results in empty files.
  * Upgraded Standards-Version to 3.9.2 (no change required).
  * Added Mikhail Gusarov as Maintainer (Closes: #391104, #542011).
  * Downgraded myself to Uploaders. Всем пока!

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sat, 01 Oct 2011 18:29:36 +0300

rus-ispell (0.99g5-9) unstable; urgency=low

  * Upgraded for ispell (>= 3.3.02) arch:any to arch:all (Closes: #623069).
  * Rebuild using the latest dictionaries-common-dev (Closes: #566813).
  * Updated my contact info in debian/[control|copyright|rules].
  * Declared debian/source/format.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 26 May 2011 18:42:58 +0300

rus-ispell (0.99g5-8.1) unstable; urgency=low

  * Non-maintainer upload.
  * move dict to /usr/share/hunspell and add compat symlinks from
    /usr/share/myspell/dicts (closes: #541913)

 -- Rene Engelhard <rene@debian.org>  Thu, 01 Oct 2009 23:50:03 +0200

rus-ispell (0.99g5-8) unstable; urgency=low

  * The "До свиданя, Настя!" release.
  * Fixed Lintian errors:
    W: command-with-path-in-maintainer-script
    W: maintainer-script-ignores-errors
    W: spelling-error-in-changelog
    I: unused-override
  * Upgraded Standards-Version to 3.8.0 (no change required).

 -- Martin-Éric Racine <q-funk@iki.fi>  Fri, 24 Apr 2009 22:39:04 +0300

rus-ispell (0.99g5-7) unstable; urgency=high

  * Declare the encoding (LANG, LC_ALL) in debian/rules to successfully
    build on systems with non-default locale (Closes: #512642, #513735).
    Thanks to Fedor P. Goncharov for the patch!

 -- Martin-Éric Racine <q-funk@iki.fi>  Sun, 01 Feb 2009 16:32:30 +0200

rus-ispell (0.99g5-6) unstable; urgency=high

  * Fixed debian/rules to ensure that both IE and IO spelling variants
    will be shipped for all applicable words (Closes: #511290).
    Thanks to Alexander GQ Gerasiov for the patch!

 -- Martin-Éric Racine <q-funk@iki.fi>  Sat, 17 Jan 2009 02:12:07 +0200

rus-ispell (0.99g5-5) unstable; urgency=medium

  * No-Change upload to force rebuilding of arch:all package for issue
    #499236 due to bug #499271 on Build-Depends:myspell-tools.

 -- Martin-Éric Racine <q-funk@iki.fi>  Thu, 02 Oct 2008 11:41:24 +0300

rus-ispell (0.99g5-4) unstable; urgency=high

  * Reverted Hash-Name changes for ispell RC bug (Closes: #497255).

 -- Martin-Éric Racine <q-funk@iki.fi>  Sat, 06 Sep 2008 12:31:32 +0300

rus-ispell (0.99g5-3) unstable; urgency=low

  * Fixed Hash-Name to use "ru" instead of "russian" (Closes: #496341).

 -- Martin-Éric Racine <q-funk@iki.fi>  Thu, 28 Aug 2008 20:57:49 +0300

rus-ispell (0.99g5-2) unstable; urgency=low

  * Fixed typos in the updated debian/copyright.

 -- Martin-Éric Racine <q-funk@iki.fi>  Fri, 15 Aug 2008 15:56:33 +0300

rus-ispell (0.99g5-1) unstable; urgency=low

  * New upstream release. Last one appeared WAY back in 2006!
  * Removed "Patch russian.aff.koi to fix aspell-ru"; merged upstream.
  * Updated LICENSE info in debian/copyright.

 -- Martin-Éric Racine <q-funk@iki.fi>  Wed, 13 Aug 2008 14:15:13 +0300

rus-ispell (0.99g4-8) unstable; urgency=low

  * Dropped Build-Depends:libmyspell-dev(>= 1:3.1-16) alternative since
    it was replaced by myspell-tools starting with Lenny.
  * Removed the Linda override, now that she is gone.

 -- Martin-Éric Racine <q-funk@iki.fi>  Tue, 01 Jul 2008 11:56:24 +0300

rus-ispell (0.99g4-7) unstable; urgency=low

  * Converted the old debian/copyright to UTF-8.
  * Upgraded to Standards-Version: 3.7.3; no change required.

 -- Martin-Éric Racine <q-funk@iki.fi>  Sun, 23 Dec 2007 14:17:34 +0200

rus-ispell (0.99g4-6) unstable; urgency=low

  * Added the Cyrillic characters definition to aspell-ru.info-aspell
    to make it work under Emacs buffers (Closes: #439623).

 -- Martin-Éric Racine <q-funk@iki.fi>  Sun, 26 Aug 2007 11:32:42 +0300

rus-ispell (0.99g4-5) unstable; urgency=low

  * Bumped debhelper Build-Depends to (>= 5) and debian/compat to match.
  * Added Lintian override against usr-lib-in-arch-all to aspell-ru.
    (all Aspell dictionaries are packaged this way by design)

 -- Martin-Éric Racine <q-funk@iki.fi>  Sun, 15 Jul 2007 19:14:49 +0300

rus-ispell (0.99g4-4) unstable; urgency=low

  * The "OOo maintainers from hell" release:
    - i2myspell is provided by myspell-tools (Closes: #426818).

 -- Martin-Éric Racine <q-funk@iki.fi>  Fri,  1 Jun 2007 12:59:51 +0300

rus-ispell (0.99g4-3) unstable; urgency=low

  * Added Build-Depends alternatives to hunspell-tools | myspell-tools
    to fix FTBFS (Closes: #426537).

 -- Martin-Éric Racine <q-funk@iki.fi>  Tue, 29 May 2007 17:26:39 +0300

rus-ispell (0.99g4-2) unstable; urgency=low

  * Uploading to unstable.

 -- Martin-Éric Racine <q-funk@iki.fi>  Mon, 27 Nov 2006 09:57:06 +0200

rus-ispell (0.99g4-1) experimental; urgency=low

  * New upstream release.

 -- Martin-Éric Racine <q-funk@iki.fi>  Sun, 26 Nov 2006 20:18:30 +0200

rus-ispell (0.99g3-2) unstable; urgency=high

  * Urgency=high because of RC bugfix on aspell-ru.

  [ Agustín Martín Domingo ]
  * Added removal of yo_subst.koi to Ispell cleaning rule.

  [ Stanislas Maslovski ]
  * Added missing symbolic link to ru.compat in aspell-ru.links.
  * Patched russian.aff.koi to fix aspell-ru (Closes: #385403, #391856).
    TODO: submit to upstream.

  [ Martin-Éric Racine ]
  * Modified debian/rules to strip MySpell word count when building
    Aspell dictionaries (Closes: #386577).

 -- Martin-Éric Racine <q-funk@iki.fi>  Wed, 11 Oct 2006 19:24:35 +0300

rus-ispell (0.99g3-1) unstable; urgency=low

  * New upstream release.
  * Added clean target for Ispell dictionaries since we generate them.
  * Upgraded Standards-Version to 3.7.2 (no change required).
  * Converted to install-time Aspell hash generation.

 -- Martin-Éric Racine <q-funk@iki.fi>  Sun, 27 Aug 2006 15:56:44 +0300

rus-ispell (0.99g0-2) unstable; urgency=low

  * Cleaned up install scripts and debian/rules.

 -- Martin-Éric Racine <q-funk@iki.fi>  Sat, 24 Dec 2005 04:19:43 +0200

rus-ispell (0.99g0-1) unstable; urgency=low

  * The "С Новым Годом!" edition:
    - New upstream release.

 -- Martin-Éric Racine <q-funk@iki.fi>  Thu, 22 Dec 2005 13:12:11 +0200

rus-ispell (0.99f9-7) unstable; urgency=low

  * Created a debian/watch including an uupdate action.

 -- Martin-Éric Racine <q-funk@iki.fi>  Thu, 22 Dec 2005 12:57:50 +0200

rus-ispell (0.99f9-6) unstable; urgency=low

  * The "Большое спасибо, Нидд!" release:
    - Taking over maintenance as agreed with Peter Novodvorsky.
    - Adding Anton Martchukov as co-maintainer.
  * Added missing call to list-missing target of utils.mk CDBS include.
  * Added missing ${misc:Depends} to binaries in debian/control.

 -- Martin-Éric Racine <q-funk@iki.fi>  Mon, 19 Dec 2005 21:53:17 +0200

rus-ispell (0.99f9-5) unstable; urgency=high

  * Put back the accidentally deleted ru.dat needed to build aspell-ru.

 -- Martin-Éric Racine <q-funk@iki.fi>  Sun, 18 Dec 2005 16:24:35 +0200

rus-ispell (0.99f9-4) unstable; urgency=low

  * Fixed postinst and postrm scripts.

 -- Martin-Éric Racine <q-funk@iki.fi>  Thu, 15 Dec 2005 03:55:28 +0200

rus-ispell (0.99f9-3) unstable; urgency=low

  * Overhauled the build system using CDBS.
  * Rewrote the package descriptions.

 -- Martin-Éric Racine <q-funk@iki.fi>  Wed, 14 Dec 2005 11:57:29 +0200

rus-ispell (0.99f9-2) unstable; urgency=low

  * Added myself to uploaders as suggested by Debian QA.
  * Build-Depends on aspell (Closes: #318816).
  * Provides aspell6a-dictionary in aspell-ru (Closes: #198040).
  * Added Depends on dictionaries-common in aspell-ru (Closes: #326256).
  * Added missing debconf-2.0 alternatives (Closes: #332087).
  * Removed unavailable openoffice.org-updatedicts from myspell-ru.

 -- Martin-Éric Racine <q-funk@iki.fi>  Mon, 12 Dec 2005 19:38:32 +0200

rus-ispell (0.99f9-1) unstable; urgency=low

  * new upstream version.
  * added ispell support (Thanks to Eugene Konev and Dan Korostelev)
    (closes: #237745).

 -- Peter Novodvorsky <nidd@debian.org>  Tue, 24 May 2005 17:35:57 +0400

rus-ispell (0.99f7-1) unstable; urgency=low

  * new upstream version.
  * updated info-ispell according to dsdt policy (Closes: #232158)
  * added dash char to Otherchars field in info-ispell file.
  * build myspell-ru dictionary (Closes: #237971)
  * added build-depends on myspell and new dictionaries-common-dev.
  * changed maintainer to myself (Closes: #256946)
  * ispell/myspell dictionary includes words with both yo and ye
    variants of writing to word.

 -- Peter Novodvorsky <nidd@debian.org>  Wed, 30 Jun 2004 21:55:26 +0400

rus-ispell (0.99f4-1) unstable; urgency=low

  * New upstream version.
  * added option YO=1 to make (closes:#176371),
    thanks to Serge Matveev for patch, Alexander Saltanov for report
  * cleanup debian control files, with the helping hand of Gergely Nagy

 -- Oleg P. Philon <ophil@riva.gomel.by>  Fri, 11 Apr 2003 13:01:48 +0300

rus-ispell (0.99f2-1) unstable; urgency=low

  * New upstream version.
  * Changes merged from Agustín Martín Domingo new dict-common
    project (closes: #164255)

 -- Oleg P. Philon <ophil@gstu.gomel.by>  Wed, 25 Sep 2002 21:56:32 +0300

rus-ispell (0.99f0-1.1) unstable; urgency=low

  * Changes merged from Oleg P. Philon irussian package. I did no
    more changes than those below:
    - New upstream version.
    - Recorded new word counts in control

 -- Agustín Martín Domingo <agmartin@debian.org>  Fri, 21 Jun 2002 13:15:38 +0200

rus-ispell (0.99f0-1) unstable; urgency=low

  * New maintainer, sponsored by Dmitry Borodaenko <angdraug@debian.org>.
  * New upstream version.
  * Package is no longer native.
  * Recorded new word counts in control file.

 -- Oleg P. Philon <ophil@gstu.gomel.by>  Wed, 19 Jun 2002 14:57:58 +0300

rus-ispell (0.99e6-12) unstable; urgency=low

  * Added a Pspell-Ispell field to info-ispell file with contents
    'ru koi8-r'. Since we use installdeb-ispell this will autogenerate
    the appropiate pspell-ispell pwli files

 -- Agustín Martín Domingo <agmartin@debian.org>  Tue, 11 Jun 2002 17:14:00 +0200

rus-ispell (0.99e6-11) unstable; urgency=low

  * Added versioning to Build-Depends debhelper entry.
    DH_COMPAT=2 requires at least dephelper (>= 2.0.40).
    Thanks to PÁSZTOR György for noting this

 -- Agustín Martín Domingo <agmartin@debian.org>  Tue,  2 Apr 2002 18:03:21 +0200

rus-ispell (0.99e6-10) unstable; urgency=low

  * Bumping debian revision number to leave more room for official releases.

 -- Agustín Martín Domingo <agmartin@debian.org>  Mon, 25 Feb 2002 16:55:58 +0100

rus-ispell (0.99e6-1.2) unstable; urgency=low

  * Rebuilding against ispell 3.1.20-30. Will now use MAXSTRINGCHARS=128

 -- Agustín Martín Domingo <agmartin@debian.org>  Fri, 15 Feb 2002 14:01:05 +0100

rus-ispell (0.99e6-1.1) unstable; urgency=low

  * Experimental package after the dictionaries policy proposal.

 -- Agustín Martín Domingo <agmartin@debian.org>  Thu, 10 Jan 2002 11:49:45 +0100

rus-ispell (0.99e6-2) unstable; urgency=low

  * New maintainer (closes: #135059)
  * If any russian developer reads this and want to take the package, please
    get in touch with me. I do not speak a word of russian.

 -- Agustín Martín Domingo <agmartin@debian.org>  Tue, 26 Feb 2002 14:19:16 +0100

rus-ispell (0.99e6-1) unstable; urgency=low

  * New upstream version.
  * Changed maintainer field, russian-devel list is dead it seams.
  * Fixed spelling error (Closes: #124763)

 -- Peter Novodvorsky <nidd@debian.org>  Sat, 29 Dec 2001 19:26:21 +0300

rus-ispell (0.99e0-1) unstable; urgency=low

  * New upstream version.

 -- Peter Novodvorsky <nidd@debian.org>  Fri, 15 Jun 2001 03:26:25 +0400

rus-ispell (0.99d6-3) unstable; urgency=low

  * Changed binary-indep to binary-arch. (Closes: #94860)

 -- Peter Novodvorsky <nidd@debian.org>  Sun, 22 Apr 2001 18:10:19 +0400

rus-ispell (0.99d6-2) unstable; urgency=low

  * Renamed Build-Depends-Indep to Build-Depends, because both
    buildhash and debhelper  are used in build rule. (Closes: #94718)

 -- Peter Novodvorsky <nidd@debian.org>  Sat, 21 Apr 2001 17:57:11 +0400

rus-ispell (0.99d6-1) unstable; urgency=low

  * Initial Release. (Closes: #84331)

 -- Peter Novodvorsky <nidd@debian.org>  Sat, 20 Jan 2001 03:14:39 +0300
